%define name	tidy
%define version 20030525
%define release 1
%define lib_name_orig	lib%{name}
%define lib_major	0
%define lib_name	%{lib_name_orig}%{lib_major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Text tools
Source0:	%{name}_src.tar.bz2
Source1:	%{name}_docs.tar.bz2
URL:		http://%{name}.sourceforge.net/
License:	W3C license
Summary:	Program for tidying up messy HTML
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	%{lib_name} = %{version}-%{release}

%description
tidy is a program for tidying up messy html, for example, when we do 
html in vi, and we make the text italic with the <i> </i> tag some of us may
forget to end the italic text with </i>. tidy fixes this.

Install this if you need a program to help you tidy up your HTML.

%package -n %{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}
%setup -n %{name} -T -D -b1

%build
cp -pr build/gnuauto/* .
libtoolize --copy --force
aclocal
automake -a -c --foreign
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
(cd $RPM_BUILD_ROOT%{_libdir} && rm -f %{lib_name_orig}*.so*.so)
(cd $RPM_BUILD_ROOT%{_libdir} && ln -s %{lib_name_orig}-%{version}.so.0.0.0 %{lib_name_orig}-%{version}.so || :)
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 htmldoc/man_page.txt $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc htmldoc/*
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Mon May 26 2003 Peter Hanecak <hanecak@megaloman.sk> 20030525-1
- adapted to Doors Linux

* Sat Feb 08 2003 David Walluck <david@anti-microsoft.org> 0.99-0.20030205-2mdk
- ldconfig in %%post and %%postun

* Sat Feb 08 2003 David Walluck <david@anti-microsoft.org> 0.99-0.20030205-1mdk
- 20020325
- split into libtidy package

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 20020902-2mdk
- rebuild

* Wed Sep 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 20020902-1mdk
- merged with hacktidy package
- updated snapshot

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 20000804-1mdk
- fixed by Stefane Fermigier <sf@fermigier.com> :
	- fix version 

* Fri Sep 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 20000408-1mdk
- fix version ( thx Guillaume Rousse )

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 08042000-2mdk
- rebuild

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 08042000-1mdk
- used srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- updated to 08042000
	- changed group

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 07082000-3mdk
- rebuild

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 07082000-2mdk
- macros

* Thu Jul 20 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 07082000-1mdk
- first package for mandrake (and probably first rpm too)

